Bug 217693 - Unable to install on machine without DMI information
Unable to install on machine without DMI information
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-11-29 08:43 EST by Petter Reinholdtsen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHEL-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-15 18:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petter Reinholdtsen 2006-11-29 08:43:11 EST
When trying to install RHEL 5 Server beta2 in the qemu virtual PC environment,
the installer fail with a python backtrace.  It mention dmidecode parsing as
the problem, and I believe the problem is related to the fact that qemu do
not provide DMI information.  This is the output from dmidecode when running
within qemu:

  # dmidecode 2.8
  # No SMBIOS nor DMI entry point found, sorry.

To test this yourself, install qemu, fetch a RHEL CD image, and
run qemu like this:

  createdisk -s hda 6144
  qemu -cdrom image.iso -hda hda -boot d

The installer stopped when I asked to have a look at the proposed partition
table after asking for the entire hard drive to be erased.

I expected the installer to be able to install RHEL into a qemu machine.

Here is a transcript of the backtrace, manually typed (and probably with some

Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 71, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + msg
  File "/usr/lib/anaconda/iutil.py", line 368, in isMactel
    ["dmidecode", "-s", "system-manufacturer"])
  File "/usr/lib/anaconda/partitions.py", line 825, in sanityCheckAllRequests
    if rhpl.getArch() in ("i386, "x86_64") and iutil.isMactel():
  File "/usr/lib/anaconda/autopart.py", line 1500, in doAutoPartition
    (errors, warnings) = partitions.sanityCheckAllRequests(diskset)
  File "/usr/lib/anaconda/dispatch.py", line 199, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 122, in gotoNext
  File "/usr/lib/anaconda/text.py", line 584 in run
  File "/usr/bin/anaconda", line 1002, in ?
RuntimeError: Error running /usr/sbin/dmidecode: Ugyldig format pƄ eksekverbar 

(The last message translates from Norwegian to "Illegal format of executable 

When I try to run the same program in the shell on tty2, I get "cannot execute
binary file".
Comment 1 Alan Cox 2007-01-02 10:08:48 EST
Looks like an installer problem not a dmidecode one, not sure if someone packed
the wrong bnary or didn't leave something static that should be in that build.
Comment 2 Chris Lumens 2007-03-12 16:43:27 EDT
Is this still a problem in more recent trees?
Comment 3 Petter Reinholdtsen 2007-03-15 12:00:11 EDT
I'm testing a qemu installation of RHEL 5 client for i386 now, and the
installer did not crash during partitioning as before.  I assume it indicate
that the bug is fixed.
Comment 4 David Cantrell 2007-03-15 18:30:12 EDT
Closing as CURRENTRELEASE per comment #3.

Note You need to log in before you can comment on or make changes to this bug.